summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorHans de Graaff <graaff@gentoo.org>2019-02-27 06:57:49 +0100
committerHans de Graaff <graaff@gentoo.org>2019-02-27 06:57:49 +0100
commit4a9bd2a897e7c2b466cca0a7b67ed26b87348f12 (patch)
tree4b82d17f5c84c267f4caeb67e083cba82f657a5a /dev-ruby/rack-cache
parentnet-vpn/libreswan: remove unused patches (diff)
downloadgentoo-4a9bd2a897e7c2b466cca0a7b67ed26b87348f12.tar.gz
gentoo-4a9bd2a897e7c2b466cca0a7b67ed26b87348f12.tar.bz2
gentoo-4a9bd2a897e7c2b466cca0a7b67ed26b87348f12.zip
dev-ruby/rack-cache: add 1.9.0
Signed-off-by: Hans de Graaff <graaff@gentoo.org> Package-Manager: Portage-2.3.51, Repoman-2.3.11
Diffstat (limited to 'dev-ruby/rack-cache')
-rw-r--r--dev-ruby/rack-cache/Manifest1
-rw-r--r--dev-ruby/rack-cache/rack-cache-1.9.0.ebuild40
2 files changed, 41 insertions, 0 deletions
diff --git a/dev-ruby/rack-cache/Manifest b/dev-ruby/rack-cache/Manifest
index 17174cf77e5..686f906357a 100644
--- a/dev-ruby/rack-cache/Manifest
+++ b/dev-ruby/rack-cache/Manifest
@@ -1,3 +1,4 @@
DIST rack-cache-1.7.1.tar.gz 260613 BLAKE2B fac2f4a476531a3c89e2917e039b3bd27d6b4486b396cfe1de12894bfc1cb2fa7e1739d45b92152e05be243ff1010636260f66b06cc2055ea09c2140ee857d40 SHA512 a4045483b0e10054f8e2dafddb45f72f3d06acde1df9f14ab51f72bbbf16b8e587b3fdb1f0d18a358fd5a46fb7babaa3d4f2b49d26ea1efbaca32cc62d2b19ff
DIST rack-cache-1.7.2.tar.gz 260666 BLAKE2B dc1f8bc7025f596d40d481d52168964b03610a89c5226967ba0d3d67ec4a116d91df0ce679361e4a15bc41c459e65879a4c2c24c7fb1a9b3183f5b9b705ec3e1 SHA512 67a39f2ebc7afc0159b60b2aaf252c4bc47233adf41244fd5e3587e61df6106710040d4940f162d78e3479fb1616de17dbf9bce36bf2f71b2eea65d6c159b862
DIST rack-cache-1.8.0.tar.gz 260732 BLAKE2B 79104b2dd82ec1a95abbe84a97e8a7cea918f87e3845816d6252610ed24e82c4bb38fa7dc34ddea9517af06d21091c23b5316ce87a9f80d49fcd3be1a7764b22 SHA512 b5235c0b3d2a3476555bb2420bc5d69ae12d8d650fb9ea1d8d8fd4f1dff0c45f47e920c58c1e44d1e565eb45248d4e63e7643c8c50d43706365a36ae80f2eec8
+DIST rack-cache-1.9.0.tar.gz 260825 BLAKE2B 58f3bfbf6af9c515ef1dc7406c6b41ba8ce37c3cc9533a21f0480565fa72b72acb517a161a7d00bfd21e1e2b2379ab85796e507fe478c601c287031a70858bff SHA512 da998796a26338af2a484a8bb87f152706f33de719cc546f7bd4c4222ca5c52297d0b4dbe233e4362d6b5e6fedb7b527ce9a29cc03a6fbeee12e760afc070a93
diff --git a/dev-ruby/rack-cache/rack-cache-1.9.0.ebuild b/dev-ruby/rack-cache/rack-cache-1.9.0.ebuild
new file mode 100644
index 00000000000..85b21320141
--- /dev/null
+++ b/dev-ruby/rack-cache/rack-cache-1.9.0.ebuild
@@ -0,0 +1,40 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+USE_RUBY="ruby23 ruby24 ruby25 ruby26"
+
+# no documentation is generable, it needs hanna, which is broken
+RUBY_FAKEGEM_RECIPE_DOC="none"
+
+RUBY_FAKEGEM_TASK_TEST="none"
+
+RUBY_FAKEGEM_EXTRADOC="CHANGES README.md doc/*"
+
+inherit ruby-fakegem
+
+DESCRIPTION="Enable HTTP caching for Rack-based applications that produce freshness info"
+HOMEPAGE="https://github.com/rtomayko/rack-cache"
+SRC_URI="https://github.com/rtomayko/rack-cache/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="1.2"
+KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ppc ~ppc64 ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
+IUSE=""
+
+ruby_add_rdepend "dev-ruby/rack:*"
+
+ruby_add_bdepend "test? (
+ dev-ruby/maxitest
+ >=dev-ruby/minitest-5.7.0:5
+ >=dev-ruby/mocha-0.13.0 )"
+
+all_ruby_prepare() {
+ sed -i -e '/bundler/ s:^:#:' \
+ -e "2i require 'timeout'" \
+ test/test_helper.rb || die
+}
+
+each_ruby_test() {
+ ${RUBY} -I.:lib:test -e 'Dir["test/*_test.rb"].each{|f| require f}' || die
+}